ru.bitel.bgbilling.modules.drwebn.common.bean

## Class DrwebAgentStatus

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase
    - - ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Idable

      public class DrwebAgentStatus
      extends DrwebAgentStatusBase
      implements java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase

      `status, STATUS_BLOCKED, STATUS_CLOSE, STATUS_ERROR, STATUS_OK, statusDate, tariffId, tariffTitle`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrwebAgentStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAgentId()`
    `java.util.Date` | `getDt()`
    `int` | `getUserId()`
    `java.lang.String` | `getUserTitle()`
    `void` | `setAgentId(int agentId)`
    `void` | `setDt(java.util.Date dt)`
    `void` | `setUserId(int userId)`
    `void` | `setUserTitle(java.lang.String userTitle)`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase

      `getStatus, getStatusDate, getStatusString, getTariffId, getTariffTitle, setStatus, setStatusDate, setTariffId, setTariffTitle`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DrwebAgentStatus

          public DrwebAgentStatus()

  - ### Method Detail

    - #### getAgentId

          public int getAgentId()

    - #### setAgentId

          public void setAgentId(int agentId)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getUserTitle

          public java.lang.String getUserTitle()

    - #### setUserTitle

          public void setUserTitle(java.lang.String userTitle)

    - #### getDt

          public java.util.Date getDt()

    - #### setDt

          public void setDt(java.util.Date dt)